Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » Problems build BIRT 3.7.1
Problems build BIRT 3.7.1 [message #755917] Thu, 10 November 2011 08:02 Go to next message
Juergen Schwarz is currently offline Juergen SchwarzFriend
Messages: 11
Registered: July 2009
Junior Member
I'm trying to build BIRT 3.7.1 using the instructions in
http://wiki.eclipse.org/BIRT/FAQ/Birt_Project#Q:_How_to_Build_BIRT_3.7.1.2B_from_GIT.3F

I have followed all steps but after step 6 I get a lot of errors; mostly
compaints about an IConnectionProfile class that cannot be found.

Any hints, did I miss something?
Re: Problems build BIRT 3.7.1 [message #755946 is a reply to message #755917] Thu, 10 November 2011 09:49 Go to previous messageGo to next message
Juergen Schwarz is currently offline Juergen SchwarzFriend
Messages: 11
Registered: July 2009
Junior Member
Found that in MANIFEST.MF of org.eclipse.birt.report.data.oda.jdbc.dbprofile
the required version of org.eclipse.datatools.connectivity.oda.profile
is "3.2.6". Changed this to 3.2.5 and it compiles at least.


Am 10.11.2011 09:02, schrieb Juergen Schwarz:
> I'm trying to build BIRT 3.7.1 using the instructions in
> http://wiki.eclipse.org/BIRT/FAQ/Birt_Project#Q:_How_to_Build_BIRT_3.7.1.2B_from_GIT.3F
>
>
> I have followed all steps but after step 6 I get a lot of errors; mostly
> compaints about an IConnectionProfile class that cannot be found.
>
> Any hints, did I miss something?
>
>
Re: Problems build BIRT 3.7.1 [message #756051 is a reply to message #755946] Thu, 10 November 2011 16:27 Go to previous message
Jason Weathersby is currently offline Jason WeathersbyFriend
Messages: 9167
Registered: July 2009
Senior Member

Juergen,

I got it to work with 3.2.6. I used the allinone download for BIRT and
then added the emf+xsd sdk and it worked for me. Verify that you have
all the installs in step a.

Jason

On 11/10/2011 4:49 AM, Juergen Schwarz wrote:
> Found that in MANIFEST.MF of
> org.eclipse.birt.report.data.oda.jdbc.dbprofile
> the required version of org.eclipse.datatools.connectivity.oda.profile
> is "3.2.6". Changed this to 3.2.5 and it compiles at least.
>
>
> Am 10.11.2011 09:02, schrieb Juergen Schwarz:
>> I'm trying to build BIRT 3.7.1 using the instructions in
>> http://wiki.eclipse.org/BIRT/FAQ/Birt_Project#Q:_How_to_Build_BIRT_3.7.1.2B_from_GIT.3F
>>
>>
>>
>> I have followed all steps but after step 6 I get a lot of errors; mostly
>> compaints about an IConnectionProfile class that cannot be found.
>>
>> Any hints, did I miss something?
>>
>>
>
Previous Topic:BIRT 3.7 in a GWT Application
Next Topic:How to increase column width in excel report
Goto Forum:
  


Current Time: Mon Dec 22 16:24:51 GMT 2014

Powered by FUDForum. Page generated in 0.02525 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software